/** AWK~plus - Progress Bar (ANSI Escape sequence).
 */
BEGIN {
    print "   .Progress Bar."
    for (var i: int = 0; 50 >= i; i++) {
        printf "\r\t%3d%% %s", i * 2, "*".repeat(i)
        system("sleep 0.1")
    }
    print "" # for Windows10 + Windows Terminal or Linux.
    for (var i: int = 0; 50 >= i; i++) {
        printf "\033[36m\r\t%3d%% \033[32m%s", i * 2, "*".repeat(i) # Cyan, Green
        system("sleep 0.1")
    }
    print "\033[39m\n." # 標準色に戻す(Return to standard color)
}